# context processors for loco-directory
# see: http://docs.djangoproject.com/en/dev/ref/settings/#setting-TEMPLATE_CONTEXT_PROCESSORS
# to use this processor, add "common.context_processors.loco_version" to your variable TEMPLATE_CONTEXT_PROCESSORS in your settings file

from django.conf import settings

def loco_version(request):
    """
    add the loco version to template context processor. 
    """
    try:
        version = settings.VERSION_STRING
    except AttributeError:
        version = "unknown"

    return {'loco_version': version}

def google_api_key(request):
    """
    Return the Google API Key or "" if none is defined.
    """

    try:
        google_api_key = settings.GOOGLE_API_KEY
    except AttributeError:
        google_api_key = ""
    return {'google_api_key': google_api_key}

def login_redirect(request):
    return {'login_next': request.get_full_path()}

def url_base(request):
    url = request.get_full_path().split('/')
    return {'url_base': url[1]} 
