# -*- coding: utf-8 -*-
from django.http import HttpResponseRedirect
from django.shortcuts import render_to_response
from django.template import RequestContext
from django.contrib.auth import logout
from django.utils.translation import check_for_language
from django.conf import settings

def index(request):
    context = {}
    return render_to_response('index.html', context,
        RequestContext(request))

def loco_council(request):
    context = {}
    return render_to_response('loco_council.html', context,
        RequestContext(request))

def about(request):
    context = {}
    return render_to_response('about.html', context,
        RequestContext(request))

def site_logout(request):
    logout(request)
    return HttpResponseRedirect('/')


def set_language(request):
    """
    Change the language for a user
    """
    next = request.META.get('HTTP_REFERER', None)
    if not next:
        next = '/'
    response = HttpResponseRedirect(next)
    lang = request.GET.get('lang', '')
    if check_for_language(lang):
        if hasattr(request, 'session'):
            request.session['django_language'] = lang
        response.set_cookie(settings.LANGUAGE_COOKIE_NAME,lang)
    return response
