//Click Control to get lonlat values. trigger function set the values
OpenLayers.Control.Click = OpenLayers.Class(OpenLayers.Control, {                
    defaultHandlerOptions: {
        'single': true,
        'double': false,
        'pixelTolerance': 0,
        'stopSingle': false,
        'stopDouble': false
    },

    initialize: function(options) {
        this.handlerOptions = OpenLayers.Util.extend(
            {}, this.defaultHandlerOptions
        );
        OpenLayers.Control.prototype.initialize.apply(
            this, arguments
        ); 
        this.handler = new OpenLayers.Handler.Click(
            this, {
                'click': this.trigger
            }, this.handlerOptions
        );
    }, 

    trigger: function(e) {
        var lonlat = map.getLonLatFromViewPortPx(e.xy);
        $("#id_longitude").val(lonlat.lon)
        $("#id_latitude").val(lonlat.lat)
        map.markers.erase();
        //alert("You clicked near " + lonlat.lat + " N, " + lonlat.lon + " E");
    }

});
//function to add markers to map
function addMarker(layer, lon, lat, popupContentHTML) {
        var ll = new OpenLayers.LonLat(lon, lat).transform(new OpenLayers.Projection("EPSG:4326"), map.getProjectionObject());
        var feature = new OpenLayers.Feature(layer, ll);
        feature.closeBox = true;
        feature.popupClass = OpenLayers.Class(OpenLayers.Popup.FramedCloud, { minSize: new OpenLayers.Size(200, 100) });
        feature.data.popupContentHTML = popupContentHTML;
        feature.data.overflow = "hidden";

        var marker = new OpenLayers.Marker(ll);
        marker.feature = feature;

        var markerClick = function(evt) {
        if (this.popup == null) {
                this.popup = this.createPopup(this.closeBox);
                map.addPopup(this.popup);
                this.popup.show();
        } else {
                this.popup.toggle();
        }
        OpenLayers.Event.stop(evt);
        };
        marker.events.register("mousedown", feature, markerClick);

        layer.addMarker(marker);
}

//openlayers map
var map;
function showmap(divid, select, lon, lat, htmltext){
    map = new OpenLayers.Map(divid);
    map.addControl(new OpenLayers.Control.LayerSwitcher());
    var gphy = new OpenLayers.Layer.Google(
        "Google Physical",
        {type: G_PHYSICAL_MAP}
    );
    var gmap = new OpenLayers.Layer.Google(
        "Google Streets", // the default
        {numZoomLevels: 20}
    );
    var ghyb = new OpenLayers.Layer.Google(
        "Google Hybrid",
        {type: G_HYBRID_MAP, numZoomLevels: 20}
    );
    var gsat = new OpenLayers.Layer.Google(
        "Google Satellite",
        {type: G_SATELLITE_MAP, numZoomLevels: 22}
    );
    var markers = new OpenLayers.Layer.Markers("Markers Layer");
    
    map.addLayers([gphy, ghyb, gsat, markers]);
    if (lon === undefined && lat === undefined) {
        map.setCenter(new OpenLayers.LonLat(0, 0), 0);
    } else {
        for (i=0;i<lon.length;i++) {
                addMarker(markers, lon[i], lat[i], htmltext[i]);
        }
        var lonLat = new OpenLayers.LonLat(lon[0], lat[0]).transform(new OpenLayers.Projection("EPSG:4326"), map.getProjectionObject());
        map.setCenter (lonLat, 6);
    }
    //map.zoomToMaxExtent();
    if (select) {
        var click = new OpenLayers.Control.Click();
        map.addControl(click);
        click.activate();
    }

    
}

