# -*- coding: utf-8 -*-

from django.contrib import admin
from teams.models import Team, TeamAdministrator, Continent, Country, Language

class TeamAdmin(admin.ModelAdmin):
    search_fields = ('name',)
    
    def formfield_for_dbfield(self, db_field, **kwargs):
        field = super(TeamAdmin, self).formfield_for_dbfield(db_field, **kwargs)
        if db_field.name == 'description':
            field.widget.attrs['rows'] = '4'
        return field
    
class TeamAdministratorAdmin(admin.ModelAdmin):
    search_fields = ('lpid',)
    list_display = ('lpid',)
    
class ContinentAdmin(admin.ModelAdmin):
    search_fields = ('name',)

class CountryAdmin(admin.ModelAdmin):
    search_fields = ('name',)

class LanguageAdmin(admin.ModelAdmin):
    search_fields = ('name',)

admin.site.register(Team, TeamAdmin)
admin.site.register(TeamAdministrator, TeamAdministratorAdmin)
admin.site.register(Continent, ContinentAdmin)
admin.site.register(Country, CountryAdmin)
admin.site.register(Language, LanguageAdmin)
