# -*- coding: utf-8 -*-

from django import forms
from django.utils.translation import ugettext_lazy as _

from models import Team

class UpdateTeamForm(forms.ModelForm):
    class Meta:
        model = Team
        exclude = ('approved_date', 'approved', 'expires_date', 'name', 'lp_name', 'admins', 'owner')

class LoCoCouncilForm(forms.ModelForm):
    class Meta:
        model = Team
        exclude = ('approved', 'expires_date', 'name', 'lp_name', 'admins', 'owner')

class TeamSearchForm(forms.Form):
    """
    A Search form for teams
    """
    q = forms.CharField(label=_('Search'), required=False, max_length=100)

    def as_line(self):
        "Returns this form rendered. Only the fields. Nothing else HTML."
        return self._html_output(u'%(label)s %(errors)s%(field)s%(help_text)s', u'%s', '', u'%s', False)

