#!/usr/bin/python

from django.core.management.base import NoArgsCommand
from django.contrib.auth.models import Group

import settings

import subprocess
import sys
import os

class Command(NoArgsCommand):
    help = "Make sure the LoCo Directory is set up properly."

    def handle_noargs(self, **options):
        print " * Compiling messages."
        subprocess.call(["./manage.py", "compilemessages"])

        print " * Checking if LoCo Council is in Auth teams:", 
        (lc, new_object) = Group.objects.get_or_create(name="ubuntu-lococouncil")
        if new_object:
            lc.save()
            print "added."
        else:
            print "yes."

        updated = False
        path = settings.PROJECT_PATH
        javascript_dir = "/usr/share/javascript"
        media_dir = os.path.join(path, "media")
        link_mapping = [("libjs-jquery", "jquery"),
                        ("libjs-jquery-ui", "jquery-ui")]
        for (package, pathname) in link_mapping:
            src = os.path.join(javascript_dir, pathname)
            if not os.path.exists(src):
                print >> sys.stderr, "Please install the %s package." % package
                sys.exit(1)
            dest = os.path.join(media_dir, pathname)
            if not os.path.exists(dest):
                os.symlink(src, dest)
                updated = True
        if updated:
            print " * Creating jquery symlinks: updated."
        else:
            print " * Creating jquery symlinks: not necessary."

        print " * Adding ubuntu_website media:",
        if os.path.isdir(os.path.join(path, "ubuntu_website")):
            print "not necessary."
        else:
            subprocess.call(["bzr", "branch", "-q",
                             "lp:ubuntu-website/light-django-theme", 
                             "ubuntu_website"])
            print "added."
