#!/usr/bin/python

from django.core.management.base import NoArgsCommand

from teams import models

import xml.dom.minidom
import os
import sys

def create_country(common_name, name):
    if common_name:
        country = models.Country(name=common_name)
    else:
        country = models.Country(name=name)
    country.save()

def rename_country(common_name, name):
    if common_name:
        country = models.Country.objects.get(name=name)
        country.name = common_name
        country.save()

class Command(NoArgsCommand):
    help = "Update list of continents and countries."

    def handle_noargs(self, **options):
        # This was my mistake, sorry. --dholbach
        australia = models.Continent.objects.filter(name="Australia")
        australiaoceania = models.Continent.objects.filter(name="Australia/Oceania")
        if australia:
            if australiaoceania:
                australia[0].delete()
            else:
                australia[0].name = "Australia/Oceania"
                australia[0].save()

        for continent_name in ['North America', 'South America', 'Africa', \
                               'Asia', 'Europe', 'Australia/Oceania', 'Antarctica']:
            continent, created = models.Continent.objects.get_or_create(name=continent_name)
            if created:
                continent.save()

        country_list = "/usr/share/xml/iso-codes/iso_3166.xml"
        if not os.path.exists(country_list):
            print >> sys.stderr, "Please install the  iso-codes  package."
            sys.exit(1)
        
        doc = xml.dom.minidom.parse(country_list)
        country_entries = doc.getElementsByTagName('iso_3166_entry')
        for country_entry in country_entries:
            common_name = country_entry.getAttribute('common_name')
            name = country_entry.getAttribute('name')
            if not models.Country.objects.filter(name=common_name):
                if not models.Country.objects.filter(name=name):
                    create_country(common_name, name)
                else:
                    rename_country(common_name, name)
