#!/usr/bin/python

from django.core.management.base import NoArgsCommand

import subprocess
import os

from django.conf import settings

try:
    APP_NAME = settings.LP_PROJECT_NAME
except AttributeError:
    # if you prefer not to set LP_PROJECT_NAME in settings.py, define here
    APP_NAME = "loco-directory"

DUMMY_LOCALE = "xx"

def update_template():
    pwd = os.getcwd()
    os.chdir(settings.PROJECT_PATH)
    subprocess.call(["./manage.py", "makemessages", "-l", DUMMY_LOCALE])
    project_locale_path = os.path.join(settings.PROJECT_PATH, "locale")
    os.rename(os.path.join(project_locale_path, 
                           "%s/LC_MESSAGES/django.po" % DUMMY_LOCALE),
              os.path.join(project_locale_path, "%s.pot" % APP_NAME))
    os.removedirs(os.path.join(project_locale_path, 
                               "%s/LC_MESSAGES" % DUMMY_LOCALE))
    os.chdir(pwd)

class Command(NoArgsCommand):
    help = "Update translations template."

    def handle_noargs(self, **options):
        update_template()
