
from south.db import db
from django.db import models
from teams.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Team'
        db.create_table('teams', (
            ('id', orm['teams.Team:id']),
            ('lp_name', orm['teams.Team:lp_name']),
            ('name', orm['teams.Team:name']),
            ('country', orm['teams.Team:country']),
            ('spr', orm['teams.Team:spr']),
            ('city', orm['teams.Team:city']),
            ('wiki_url', orm['teams.Team:wiki_url']),
            ('web_url', orm['teams.Team:web_url']),
            ('ml_url', orm['teams.Team:ml_url']),
            ('forum_url', orm['teams.Team:forum_url']),
            ('email', orm['teams.Team:email']),
            ('irc_chan', orm['teams.Team:irc_chan']),
            ('provides_support', orm['teams.Team:provides_support']),
            ('approved', orm['teams.Team:approved']),
            ('approved_date', orm['teams.Team:approved_date']),
            ('expires_date', orm['teams.Team:expires_date']),
            ('owner', orm['teams.Team:owner']),
        ))
        db.send_create_signal('teams', ['Team'])
        
        # Adding model 'TeamAdministrator'
        db.create_table('teams_teamadministrator', (
            ('id', orm['teams.TeamAdministrator:id']),
            ('lpid', orm['teams.TeamAdministrator:lpid']),
        ))
        db.send_create_signal('teams', ['TeamAdministrator'])
        
        # Adding ManyToManyField 'Team.admins'
        db.create_table('teams_admins', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('team', models.ForeignKey(orm.Team, null=False)),
            ('teamadministrator', models.ForeignKey(orm.TeamAdministrator, null=False))
        ))
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Team'
        db.delete_table('teams')
        
        # Deleting model 'TeamAdministrator'
        db.delete_table('teams_teamadministrator')
        
        # Dropping ManyToManyField 'Team.admins'
        db.delete_table('teams_admins')
        
    
    
    models = {
        'teams.team': {
            'Meta': {'db_table': "'teams'"},
            'admins': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['teams.TeamAdministrator']"}),
            'approved': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'approved_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'city': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'null': 'True', 'blank': 'True'}),
            'expires_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'forum_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'irc_chan': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'lp_name': ('django.db.models.fields.SlugField', [], {'max_length': '40', 'null': 'True', 'db_index': 'True'}),
            'ml_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '80', 'null': 'True'}),
            'owner': ('django.db.models.fields.SlugField', [], {'max_length': '50', 'null': 'True', 'db_index': 'True'}),
            'provides_support': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'spr': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'web_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'wiki_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        'teams.teamadministrator': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lpid': ('django.db.models.fields.SlugField', [], {'max_length': '40', 'db_index': 'True'})
        }
    }
    
    complete_apps = ['teams']
