from django.conf.urls.defaults import *
from django.conf import settings
from django.contrib import admin
import ubuntu_website

admin.autodiscover()

urlpatterns = patterns('',
    url(r'^$', 'common.views.index', name='home'),
    url(r'^language/', 'common.views.set_language', name='set_language'),
    url(r'^about/$', 'common.views.about', name='about'),
    url(r'^openid/', include('django_openid_auth.urls')),
    url(r'^admin/(.*)', admin.site.root),
    url(r'^data/xml', 'teams.views.xml_team_data', name='xml_team_data'),
    url(r'^teams/', include('teams.urls')),
    url(r'^events/', include('events.urls')),
    url(r'^venues/', include('venues.urls')),
    url(r'^loco-council/$', 'common.views.loco_council', name='loco_council'),
    url(r'^loco-council/reapprovals$', 'teams.views.reapprovals', name='reapprovals'),
    url(r'^logout$', 'common.views.site_logout'),
    url(r'^jsi18n', 'django.views.i18n.javascript_catalog', name='jsi18n'),
    url(r'^services/', include('services.urls')),
)

if settings.STATIC_SERVE:
    urlpatterns += patterns('',
        (r'^media/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
        (r'^(robots.txt)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
        (r'^ubuntu-website/media/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': ubuntu_website.MEDIA_ROOT}),
    )
