
from south.db import db
from django.db import models
from venues.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Creating unique_together for [name, country, city] on Venue.
        db.create_unique('venues_venue', ['name', 'country', 'city'])
        
        # Creating unique_together for [longitude, latitude] on Venue.
        db.create_unique('venues_venue', ['longitude', 'latitude'])
        
    
    
    def backwards(self, orm):
        
        # Deleting unique_together for [longitude, latitude] on Venue.
        db.delete_unique('venues_venue', ['longitude', 'latitude'])
        
        # Deleting unique_together for [name, country, city] on Venue.
        db.delete_unique('venues_venue', ['name', 'country', 'city'])
        
    
    
    models = {
        'venues.venue': {
            'Meta': {'unique_together': "(('name', 'country', 'city'), ('longitude', 'latitude'))"},
            'address': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'city': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'comment': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'latitude': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'longitude': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'map_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'venue_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        }
    }
    
    complete_apps = ['venues']
